osl::GeneratePieceOnBoard Struct Reference

`#include <pieceOnBoard.h>`

## Static Public Member Functions

static void | generate (Player turn, const NumEffectState &state, Piece target, MoveVector &)

## Detailed Description

Definition at line 150 of file pieceOnBoard.h.

## Member Function Documentation

## generate()

void osl::move_generator::GeneratePieceOnBoard::generate | ( | Player | turn,
|  | const NumEffectState & | state,
|  | Piece | target,
|  | MoveVector & | out )

static

Definition at line 19 of file pieceOnBoard.cc.

The documentation for this struct was generated from the following files:

- pieceOnBoard.h
- pieceOnBoard.cc